Package org.lwjgl.opengl

# Class APPLEFlushBufferRange

java.lang.Object
org.lwjgl.opengl.APPLEFlushBufferRange

public final class APPLEFlushBufferRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BUFFER_FLUSHING_UNMAP_APPLE`
Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:
`static final int`
`GL_BUFFER_SERIALIZED_MODIFY_APPLE`
Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBufferParameteriAPPLE(int target, int pname, int param)`
`static void`
`glFlushMappedBufferRangeAPPLE(int target, long offset, long size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_BUFFER_SERIALIZED_MODIFY_APPLE

public static final int GL_BUFFER_SERIALIZED_MODIFY_APPLE
Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:

See Also:
  - Constant Field Values

### GL_BUFFER_FLUSHING_UNMAP_APPLE

public static final int GL_BUFFER_FLUSHING_UNMAP_APPLE
Accepted by the <pname> parameter of BufferParameteriAPPLE and GetBufferParameteriv:

See Also:
  - Constant Field Values

## Method Details

### glBufferParameteriAPPLE

public static void glBufferParameteriAPPLE(int target, int pname, int param)

### glFlushMappedBufferRangeAPPLE

public static void glFlushMappedBufferRangeAPPLE(int target, long offset, long size)